Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.laf
Class Skin

    java.lang.Object
      com.bea.netuix.laf.AbstractLookAndFeelComponent
          com.bea.netuix.laf.Skin

All Implemented Interfaces
  LookAndFeelComponent

    public class Skin

extends AbstractLookAndFeelComponent

`Skin` provides a read-only interface for retrieving information related to the current Look and Feel skin configuration. `Skin` objects are valid only as long as the related `PortalLookAndFeel` object is valid.

See Also
  `PortalLookAndFeel.getSkin()`

Method Summary
`List<String>` | `getAvailableChromosomes()` Returns a list of all available skin chromosome names.
`String` | `getChromosome()` Returns the current skin chromosome name.
`String` | `getFullPath()` Returns the qualified skin path, including the current skin name.
`HtmlPathResolver` | `getHtmlPathResolver()` Returns an instance of a `HtmlPathResolver` related to this skin.
`String` | `getName()` Returns the component name.
`String` | `getPath()` Returns the webapp-relative base skin path.
`String` | `resolveImagePath(String uri)` Resolves the specified uri using skin `images` configuration.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public String getName()

  Description copied from interface: `LookAndFeelComponent`
  Returns the component name.

### getPath

    public String getPath()

  Returns the webapp-relative base skin path. This value is typically set via the `skinPath` attribute of the `lookAndFeel` control, or via the `skinPath` parameter of the `reinit` method.

  Returns
    The current skin path

### getFullPath

    public String getFullPath()

  Returns the qualified skin path, including the current skin name. The value returned from this method is influenced by the Look and Feel resource URL template, if present.

  Returns
    The qualified skin path

### getChromosome

    public String getChromosome()

  Returns the current skin chromosome name.

  Returns
    The current skin chromosome name; null if no skin chromosome is in effect

### getAvailableChromosomes

    public List<String> getAvailableChromosomes()

  Returns a list of all available skin chromosome names.

  Returns
    All available skin chromosome names; may be an empty list

### getHtmlPathResolver

    public HtmlPathResolver getHtmlPathResolver()

  Returns an instance of a `HtmlPathResolver` related to this skin. The object returned from this method shares the same validity constraint as the `Skin` object; it is valid only as long as the related `PortalLookAndFeel
  `

### resolveImagePath

    public String resolveImagePath(String uri)
                            throws IllegalStateException

  Resolves the specified uri using skin `images` configuration. It is assumed that the specified uri is a partial image path, i.e. "button.jpg" or "images/corner.gif". NOTE: Calls to `PortalLookAndFeel.reinit()` will cause all previously resolved image paths to become invalid.

  LIFECYCLE RESTRICTION: This method can only be called during the `render` lifecycle; calls prior to the `render` lifecycle will cause an `IllegalStateException`.

  Parameters
    `uri` - parital image path to resolve
  Returns
    The resolved image path; null if the specified path could not be resolved
  Throws
    `IllegalStateException` - If called during an inappropriate lifecycle.
  See Also
    `PortalLookAndFeel.reinit(String, String, String, String, String, String)`, "Skin configuration element <images>"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.